Skip to main content
POST
/
v2
/
submission
Create a submission
curl --request POST \
  --url https://api.documents.resistant.ai/v2/submission \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query_id": "<string>",
  "pipeline_configuration": "FRAUD_ONLY",
  "enable_decision": false,
  "enable_submission_characteristics": false
}
'
{
  "upload_url": "<string>",
  "submission_id": "<string>",
  "submission_characteristics_upload_url": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
query_id
string | null

User-defined ID of analyzed file - typically refers to internal ID of the analyzed document in user's CMS. Please ensure the query_id of any document is reviewed prior to submitting to ensure no PII is shared. Query_id is used for subsequent indexing of outputs from the document forensics analysis.

Maximum string length: 1024
pipeline_configuration
enum<string>
default:FRAUD_ONLY

Type of analysis pipeline to execute.

Available options:
FRAUD_ONLY,
CLASSIFICATION_ONLY,
QUALITY_ONLY
enable_decision
boolean
default:false

true to enable Adaptive Decision for the submitted document, false to disable it

enable_submission_characteristics
boolean
default:false

true to enable attachment of submission characteristics for the submitted document, false to disable it (see submission_characteristics_upload_url field in the response object)

Response

Submission created successfully

upload_url
string<uri>
required

Presigned URL to AWS S3 service where the actual file will be uploaded using the PUT method. Note that the content type in the PUT request has to be set to application/octet-stream.

Example file upload request using curl:

curl --request PUT \
--url $UPLOAD_URL \
--header 'content-type: application/octet-stream' \
--data @path_to_file
submission_id
string
required

Unique submission ID generated by Documents service that uniquely identifies the submitted file.

Required string length: 24 - 36
submission_characteristics_upload_url
string<uri>

URL where submission characteristics can be attached to this submission - see the /v2/submission/{submission_id}/characteristics endpoint. Note that this URL is not pre-signed and requires access token in headers. The URL may be relative.